<nav class="navbar navbar-light navbar-expand bg-white shadow topbar static-top">
  <div class="container-fluid">
    <div class="d-none d-sm-inline-block me-auto ms-md-3 my-2 my-md-0 mw-100 navbar-search">
      <div class="input-group">
        <input class="bg-light form-control border-0 small" type="text"
               placeholder="Rechercher une demande..." [(ngModel)]="searchText">
          <div class="autocomplete-items" *ngIf="searchText.length">
            <div *ngFor="let ticket of tickets | ticketsFilter: searchText"
                 [routerLink]="'/ticket/' + ticket.id">
                {{ticket.id}}
            </div>
          </div>

      </div>
    </div>
    <ul class="navbar-nav flex-nowrap ms-auto">
      <li class="nav-item dropdown d-sm-none no-arrow">
        <a class="dropdown-toggle nav-link" aria-expanded="false" data-bs-toggle="dropdown" href="#">
        <i class="fas fa-search"></i></a>
        <div class="dropdown-menu dropdown-menu-end p-3 animated--grow-in" aria-labelledby="searchDropdown">
          <form class="me-auto navbar-search w-100">
            <div class="input-group"><input class="bg-light form-control border-0 small" type="text" placeholder="Search for ...">
              <div class="input-group-append">
                <button class="btn btn-primary py-0" type="button">
                  <i class="fas fa-search"></i>
                </button>
              </div>
            </div>
          </form>
        </div>
      </li>
      <li class="nav-item dropdown no-arrow mx-1">
        <div class="nav-item dropdown no-arrow"><a class="dropdown-toggle nav-link" aria-expanded="false" data-bs-toggle="dropdown" href="#">
          <span class="badge bg-danger badge-counter">{{ notifications.length }}</span><i class="fas fa-bell fa-fw"></i></a>
          <div class="dropdown-menu dropdown-menu-end dropdown-list animated--grow-in">
            <h6 class="dropdown-header text-center">{{notifications.length}} Notification(s)
              <button *ngIf="notifications.length > 0" class="btn btn-danger btn-sm fas fa-trash-alt" (click)="deleteAllNotifications()"></button></h6>
              <div class="overflow-auto">
                <app-notification *ngFor="let notification of notifications"
                                  [id]="notification.chatId"
                                  [title]="notification.senderId"
                                  [type]="notification.type"
                                  [senderName]="notification.senderName"
                                  [creationDate]="notification.creationDate"
                                  [occurence]="notification.occurence"
                                  [link]="notification.senderName" (click)="deleteNotification(notification.id,notification.type)">
                </app-notification>
              </div>
          </div>
        </div>
      </li>

      <div class="d-none d-sm-block topbar-divider"></div>
      <li class="nav-item dropdown no-arrow">
        <div class="nav-item dropdown no-arrow">
          <a class="dropdown-toggle nav-link" aria-expanded="false" data-bs-toggle="dropdown" href="#">
            <span class="d-none d-lg-inline me-2 text-gray-600 small">{{ user.firstName }} {{ user.lastName }}</span>
            <img class="border rounded-circle img-profile" src="../../../../../assets/img/avatars/avatar1.jpeg" alt="profile picture"></a>
          <div class="dropdown-menu shadow dropdown-menu-end animated--grow-in">
            <a class="dropdown-item" [routerLink]="['/account']">
              <i class="fas fa-user fa-sm fa-fw me-2 text-gray-400"></i>&nbsp;Profile</a>
            <a class="dropdown-item" ></a>
            <div class="dropdown-divider"></div><a class="dropdown-item" (click)="logout()">
            <i class="fas fa-sign-out-alt fa-sm fa-fw me-2 text-gray-400"></i>&nbsp;Logout</a>
          </div>
        </div>
      </li>
    </ul>
  </div>
</nav>
